{
	"0: data": {
		"srcIndexStart": "0", 
		"file": "docssrc/docs.ChangeLog.tmpl", 
		"parseTreeMode": "true", 
		"srcLength": "7964", 
		"source": "[$name|ChangeLog$]
[$title|Change Log$]
[$frame|HTMLPage.tmpl$]
<p>
Dates below are in YYYY-MM-DD format.
</p>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">[$link| http://www.semitwist.com/goldie/v0.8/ | v0.8 $]</span>
	<span class=\"changelog-summary\"> - Support DMD 2.058</span>
</h3>
<div class=\"changelog-date\">2012-02-18</div>
<div class=\"changelog-compilers\">
	Tested on: DMD 2.052 - DMD 2.058, and partially DMD 2.057 as described
	[$pageLink|#Caveat2057|below$]
	(but see [$pageLink|Install#RDMD|this note regarding RDMD$])
</div>
<ul>
	<li>
		Added support for DMD 2.058.
	</li>
	<li>
		Calculator [$pageLink|SampleApps|samples$] now require at least DMD 2.054.
	</li>
	<li>
		[$pageTitle|StaticLang$]:
		Static-style languages generate a proper compile-time error when used
		with a different version of Goldie than the one they were created with.
	</li>
	<li>
		Now uses [$link| https://bitbucket.org/Abscissa/semitwistdtools | SemiTwist D Tools $]
		tag '[$link| https://bitbucket.org/Abscissa/semitwistdtools/src/goldie-v0.8 | goldie-v0.8 $]'.
	</li>
</ul>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">[$link| http://www.semitwist.com/goldie/v0.7/ | v0.7 $]</span>
	<span class=\"changelog-summary\"> - API, 64-bit, Git</span>
</h3>
<div class=\"changelog-date\">2012-01-29</div>
<div class=\"changelog-compilers\">
	Tested on: DMD 2.052 - DMD 2.056, and partially DMD 2.057 as described
	[$pageLink|#Caveat2057|below$]
	(but see [$pageLink|Install#RDMD|this note regarding RDMD$])
</div>
<ul>
	<li>
		[$pageLink|APIOver|GoldieLib$]: Added
			[$pageLink|Token#Token_get|Token.get$] and
			[$pageLink|Token#Token_getRequired|Token.getRequired$].
	</li>
	<li>
		[$pageLink|APIOver|GoldieLib$]: Added
			[$pageLink|Token#traverse|traverse$] for parse tree traversal.
	</li>
	<li>
		[$pageLink|APIOver|GoldieLib$]: Added
			[$pageLink|Token#Token_subtokens|op overloads$]
			as a preferred alternative to
			[$pageLink|Token#Token_subX|Token.subX$] for accessing subtokens in dynamic-style.
	</li>
	<li>
		[$pageLink|APIOver|GoldieLib$]: Fixed: RangeException on
		[$code|inline|Token.matches(\"<blah>\", null)$] (ie, when attempting to
		match an empty rule with [$pageLink|Token#Token_matches|matches$]).
	</li>
	<li>
		[$link| http://www.dsource.org/projects/goldie/ticket/20 | Fixed Issue #20 $]:
		Fails on 64-bit builds.
		(But note the still-open [$link| http://www.dsource.org/projects/goldie/ticket/21 | #21 $]:
		64-bit 'staticlang' and 'sampleGenericParse' blocked by DMD Issue
		[$link| http://d.puremagic.com/issues/show_bug.cgi?id=6983 | #6983 $])
	</li>
	<li>Switched version control from SVN/DSource to Git/BitBucket.</li>
	<li>Added [$pageTitle|Tutorial$].</li>
	<li>
		Many documentation updates/improvements including
		(in addition to the usual misc and API updates)
		an updated [$pageTitle|FAQ$].
	</li>
	<li>[$pageTitle|StaticLang$]: Creates the output path if it doesn't already exist.</li>
	<li>
		Renamed \"Parse Anything\" sample to [$pageTitle|SampleGenericParse$]
		(to avoid confusion with the [$pageTitle|Parse$] tool).
	</li>
	<li>
		<a name=\"Caveat2057\" />
		Added support for DMD 2.056.
		On DMD 2.057, [$pageLink|StatVsDyn|dynamic-style$] works,
		but not static-style or grammar compiling due to DMD Issue
		[$link| http://d.puremagic.com/issues/show_bug.cgi?id=7375 | #7375 $].
	</li>
	<li>
		Now uses [$link| https://bitbucket.org/Abscissa/semitwistdtools | SemiTwist D Tools $]
		tag '[$link| https://bitbucket.org/Abscissa/semitwistdtools/src/goldie-v0.7 | goldie-v0.7 $]'.
	</li>
</ul>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">[$link| http://www.semitwist.com/goldie/v0.6/ | v0.6 $]</span>
	<span class=\"changelog-summary\"> - Newer DMDs and Static Fixed</span>
</h3>
<div class=\"changelog-date\">2011-10-04</div>
<div class=\"changelog-compilers\">
	Tested on: DMD 2.052 - DMD 2.055
	(but see [$pageLink|Install#RDMD|this note regarding RDMD$])
</div>
<ul>
	<li>
		Added support for DMD 2.054 and 2.055.
		The next version of Goldie will likely require at least 2.055.
	</li>
	<li>Fixed: Major bug in static-style: Some tokens erroneously refer to calc grammar no matter what grammar they're from.</li>
	<li>Now uses [$link| http://www.dsource.org/projects/semitwist | SemiTwist D Tools $] r234</li>
</ul>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">[$link| http://www.semitwist.com/goldie/v0.5/ | v0.5 $]</span>
	<span class=\"changelog-summary\"> - Speed</span>
</h3>
<div class=\"changelog-date\">2011-05-17</div>
<div class=\"changelog-compilers\">
	Tested on: DMD 2.052 - DMD 2.053
</div>
<ul>
	<li>Improved lexing/parsing speed by about 5x-6x.</li>
	<li>Small additional speedup lexing languages with large character sets (such as Unicode).</li>
	<li>[$pageTitle|GRMC$]: Supports [$ident|{All Valid}$] character set.</li>
	<li>[$pageTitle|GRMC$]: Complex grammars are compiled to CGT up to about 4x-8x faster.</li>
	<li>[$pageTitle|GRMC$]: Verbose (-v) flag shows each step and amount of time taken.</li>
	<li>[$pageLink|SampleGenericParse|ParseAnything$]: No more unhandled exception when parsing a source with an error.</li>
	<li>Fixed to work with DMD 2.053 (still works with 2.052, too).</li>
	<li>Now uses [$link| http://www.dsource.org/projects/semitwist | SemiTwist D Tools $] r221</li>
</ul>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">[$link| http://www.semitwist.com/goldie/v0.4/ | v0.4 $]</span>
	<span class=\"changelog-summary\"> - D2 and GRMC</span>
</h3>
<div class=\"changelog-date\">2011-03-27</div>
<div class=\"changelog-compilers\">
	Tested on: DMD 2.052
</div>
<ul>
	<li>Switched from D1/Tango to D2/Phobos.</li>
	<li>New tool: [$pageTitle|GRMC$]. Because of this, Goldie no longer requires GOLD Parser Builder.</li>
	<li>Grammars can be compiled not only from [$pageTitle|GRMC$], but also through the D API, GoldieLib.</li>
	<li>No longer requires xfBuild or Rebuild.</li>
	<li>Executable filenames are now prefixed with 'goldie-' to minimize chance of collisions on the PATH.</li>
	<li>Many misc changes/improvements to tools, API and documentation.</li>
	<li>Now uses [$link| http://www.dsource.org/projects/semitwist | SemiTwist D Tools $] r213</li>
</ul>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">[$link| http://www.semitwist.com/goldie/v0.3/Docs/ | v0.3 $]</span>
	<span class=\"changelog-summary\"> - Static-Style and Documentation</span>
</h3>
<div class=\"changelog-date\">2010-07-25</div>
<div class=\"changelog-compilers\"></div>
<ul>
	<li>Added static-style languages.</li>
	<li>Major improvements to API for parsing errors.</li>
	<li>Misc changes/improvements to API.</li>
	<li>New tools: [$pageTitle|StaticLang$], [$pageTitle|JsonViewer$] and [$pageTitle|GenDocs$].</li>
	<li>Split Calculator sample app into a dynamic-style version and a static-style version.</li>
	<li>Greatly improved handling of Unicode.</li>
	<li>Created complete documentation.</li>
	<li>Now uses [$link| http://www.dsource.org/projects/semitwist | SemiTwist D Tools $] r132</li>
</ul>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">[$link| http://www.dsource.org/projects/goldie/wiki/Docs | v0.02 $]</span>
	<span class=\"changelog-summary\"> - Minor Bugfix</span>
</h3>
<div class=\"changelog-date\">2009-09-09</div>
<div class=\"changelog-compilers\"></div>
<ul>
	<li>Fixed: Rare array-out-of-bounds upon Lexer error.</li>
	<li>Fixed: [$link|http://www.dsource.org/projects/goldie/ticket/1|Ticket #1: Extra oddball character in lex error message's quote$]</li>
	<li>Now uses SemiTwist D Tools r86</li>
</ul>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">[$link| http://www.dsource.org/projects/goldie/wiki/Docs | v0.01 $]</span>
	<span class=\"changelog-summary\"> - Initial Release</span>
</h3>
<div class=\"changelog-date\">2009-08-26</div>
<div class=\"changelog-compilers\"></div>
<ul>
	<li>Initial Release</li>
	<li>Uses SemiTwist D Tools r82</li>
</ul>
", 
		"0: name": {
			"srcIndexStart": "0", 
			"data": "ChangeLog", 
			"srcLength": "18", 
			"0: data": {
				"srcIndexStart": "7", 
				"data": "ChangeLog", 
				"srcLength": "9"
			}
		}, 
		"1: data": {
			"srcIndexStart": "18", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"2: title": {
			"srcIndexStart": "19", 
			"data": "Change Log", 
			"srcLength": "20", 
			"0: data": {
				"srcIndexStart": "27", 
				"data": "Change Log", 
				"srcLength": "10"
			}
		}, 
		"3: data": {
			"srcIndexStart": "39", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"4: frame": {
			"srcIndexStart": "40", 
			"data": "HTMLPage.tmpl", 
			"srcLength": "23", 
			"0: data": {
				"srcIndexStart": "48", 
				"data": "HTMLPage.tmpl", 
				"srcLength": "13"
			}
		}, 
		"5: data": {
			"srcIndexStart": "63", 
			"data": "
<p>
Dates below are in YYYY-MM-DD format.
</p>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">", 
			"srcLength": "115"
		}, 
		"6: link": {
			"srcIndexStart": "178", 
			"param 0": "http://www.semitwist.com/goldie/v0.8/", 
			"data": "v0.8", 
			"srcLength": "55", 
			"0: data": {
				"srcIndexStart": "225", 
				"data": "v0.8", 
				"srcLength": "6"
			}
		}, 
		"7: data": {
			"srcIndexStart": "233", 
			"data": "</span>
	<span class=\"changelog-summary\"> - Support DMD 2.058</span>
</h3>
<div class=\"changelog-date\">2012-02-18</div>
<div class=\"changelog-compilers\">
	Tested on: DMD 2.052 - DMD 2.058, and partially DMD 2.057 as described
	", 
			"srcLength": "227"
		}, 
		"8: pageLink": {
			"srcIndexStart": "460", 
			"param 0": "#Caveat2057", 
			"data": "below", 
			"srcLength": "30", 
			"0: data": {
				"srcIndexStart": "483", 
				"data": "below", 
				"srcLength": "5"
			}
		}, 
		"9: data": {
			"srcIndexStart": "490", 
			"data": "
	(but see ", 
			"srcLength": "11"
		}, 
		"10: pageLink": {
			"srcIndexStart": "501", 
			"param 0": "Install#RDMD", 
			"data": "this note regarding RDMD", 
			"srcLength": "50", 
			"0: data": {
				"srcIndexStart": "525", 
				"data": "this note regarding RDMD", 
				"srcLength": "24"
			}
		}, 
		"11: data": {
			"srcIndexStart": "551", 
			"data": ")
</div>
<ul>
	<li>
		Added support for DMD 2.058.
	</li>
	<li>
		Calculator ", 
			"srcLength": "77"
		}, 
		"12: pageLink": {
			"srcIndexStart": "628", 
			"param 0": "SampleApps", 
			"data": "samples", 
			"srcLength": "31", 
			"0: data": {
				"srcIndexStart": "650", 
				"data": "samples", 
				"srcLength": "7"
			}
		}, 
		"13: data": {
			"srcIndexStart": "659", 
			"data": " now require at least DMD 2.054.
	</li>
	<li>
		", 
			"srcLength": "48"
		}, 
		"14: pageTitle": {
			"srcIndexStart": "707", 
			"data": "StaticLang", 
			"srcLength": "24", 
			"0: data": {
				"srcIndexStart": "719", 
				"data": "StaticLang", 
				"srcLength": "10"
			}
		}, 
		"15: data": {
			"srcIndexStart": "731", 
			"data": ":
		Static-style languages generate a proper compile-time error when used
		with a different version of Goldie than the one they were created with.
	</li>
	<li>
		Now uses ", 
			"srcLength": "172"
		}, 
		"16: link": {
			"srcIndexStart": "903", 
			"param 0": "https://bitbucket.org/Abscissa/semitwistdtools", 
			"data": "SemiTwist D Tools", 
			"srcLength": "77", 
			"0: data": {
				"srcIndexStart": "959", 
				"data": "SemiTwist D Tools", 
				"srcLength": "19"
			}
		}, 
		"17: data": {
			"srcIndexStart": "980", 
			"data": "
		tag '", 
			"srcLength": "8"
		}, 
		"18: link": {
			"srcIndexStart": "988", 
			"param 0": "https://bitbucket.org/Abscissa/semitwistdtools/src/goldie-v0.8", 
			"data": "goldie-v0.8", 
			"srcLength": "87", 
			"0: data": {
				"srcIndexStart": "1060", 
				"data": "goldie-v0.8", 
				"srcLength": "13"
			}
		}, 
		"19: data": {
			"srcIndexStart": "1075", 
			"data": "'.
	</li>
</ul>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">", 
			"srcLength": "83"
		}, 
		"20: link": {
			"srcIndexStart": "1158", 
			"param 0": "http://www.semitwist.com/goldie/v0.7/", 
			"data": "v0.7", 
			"srcLength": "55", 
			"0: data": {
				"srcIndexStart": "1205", 
				"data": "v0.7", 
				"srcLength": "6"
			}
		}, 
		"21: data": {
			"srcIndexStart": "1213", 
			"data": "</span>
	<span class=\"changelog-summary\"> - API, 64-bit, Git</span>
</h3>
<div class=\"changelog-date\">2012-01-29</div>
<div class=\"changelog-compilers\">
	Tested on: DMD 2.052 - DMD 2.056, and partially DMD 2.057 as described
	", 
			"srcLength": "226"
		}, 
		"22: pageLink": {
			"srcIndexStart": "1439", 
			"param 0": "#Caveat2057", 
			"data": "below", 
			"srcLength": "30", 
			"0: data": {
				"srcIndexStart": "1462", 
				"data": "below", 
				"srcLength": "5"
			}
		}, 
		"23: data": {
			"srcIndexStart": "1469", 
			"data": "
	(but see ", 
			"srcLength": "11"
		}, 
		"24: pageLink": {
			"srcIndexStart": "1480", 
			"param 0": "Install#RDMD", 
			"data": "this note regarding RDMD", 
			"srcLength": "50", 
			"0: data": {
				"srcIndexStart": "1504", 
				"data": "this note regarding RDMD", 
				"srcLength": "24"
			}
		}, 
		"25: data": {
			"srcIndexStart": "1530", 
			"data": ")
</div>
<ul>
	<li>
		", 
			"srcLength": "22"
		}, 
		"26: pageLink": {
			"srcIndexStart": "1552", 
			"param 0": "APIOver", 
			"data": "GoldieLib", 
			"srcLength": "30", 
			"0: data": {
				"srcIndexStart": "1571", 
				"data": "GoldieLib", 
				"srcLength": "9"
			}
		}, 
		"27: data": {
			"srcIndexStart": "1582", 
			"data": ": Added
			", 
			"srcLength": "11"
		}, 
		"28: pageLink": {
			"srcIndexStart": "1593", 
			"param 0": "Token#Token_get", 
			"data": "Token.get", 
			"srcLength": "38", 
			"0: data": {
				"srcIndexStart": "1620", 
				"data": "Token.get", 
				"srcLength": "9"
			}
		}, 
		"29: data": {
			"srcIndexStart": "1631", 
			"data": " and
			", 
			"srcLength": "8"
		}, 
		"30: pageLink": {
			"srcIndexStart": "1639", 
			"param 0": "Token#Token_getRequired", 
			"data": "Token.getRequired", 
			"srcLength": "54", 
			"0: data": {
				"srcIndexStart": "1674", 
				"data": "Token.getRequired", 
				"srcLength": "17"
			}
		}, 
		"31: data": {
			"srcIndexStart": "1693", 
			"data": ".
	</li>
	<li>
		", 
			"srcLength": "17"
		}, 
		"32: pageLink": {
			"srcIndexStart": "1710", 
			"param 0": "APIOver", 
			"data": "GoldieLib", 
			"srcLength": "30", 
			"0: data": {
				"srcIndexStart": "1729", 
				"data": "GoldieLib", 
				"srcLength": "9"
			}
		}, 
		"33: data": {
			"srcIndexStart": "1740", 
			"data": ": Added
			", 
			"srcLength": "11"
		}, 
		"34: pageLink": {
			"srcIndexStart": "1751", 
			"param 0": "Token#traverse", 
			"data": "traverse", 
			"srcLength": "36", 
			"0: data": {
				"srcIndexStart": "1777", 
				"data": "traverse", 
				"srcLength": "8"
			}
		}, 
		"35: data": {
			"srcIndexStart": "1787", 
			"data": " for parse tree traversal.
	</li>
	<li>
		", 
			"srcLength": "42"
		}, 
		"36: pageLink": {
			"srcIndexStart": "1829", 
			"param 0": "APIOver", 
			"data": "GoldieLib", 
			"srcLength": "30", 
			"0: data": {
				"srcIndexStart": "1848", 
				"data": "GoldieLib", 
				"srcLength": "9"
			}
		}, 
		"37: data": {
			"srcIndexStart": "1859", 
			"data": ": Added
			", 
			"srcLength": "11"
		}, 
		"38: pageLink": {
			"srcIndexStart": "1870", 
			"param 0": "Token#Token_subtokens", 
			"data": "op overloads", 
			"srcLength": "47", 
			"0: data": {
				"srcIndexStart": "1903", 
				"data": "op overloads", 
				"srcLength": "12"
			}
		}, 
		"39: data": {
			"srcIndexStart": "1917", 
			"data": "
			as a preferred alternative to
			", 
			"srcLength": "37"
		}, 
		"40: pageLink": {
			"srcIndexStart": "1954", 
			"param 0": "Token#Token_subX", 
			"data": "Token.subX", 
			"srcLength": "40", 
			"0: data": {
				"srcIndexStart": "1982", 
				"data": "Token.subX", 
				"srcLength": "10"
			}
		}, 
		"41: data": {
			"srcIndexStart": "1994", 
			"data": " for accessing subtokens in dynamic-style.
	</li>
	<li>
		", 
			"srcLength": "58"
		}, 
		"42: pageLink": {
			"srcIndexStart": "2052", 
			"param 0": "APIOver", 
			"data": "GoldieLib", 
			"srcLength": "30", 
			"0: data": {
				"srcIndexStart": "2071", 
				"data": "GoldieLib", 
				"srcLength": "9"
			}
		}, 
		"43: data": {
			"srcIndexStart": "2082", 
			"data": ": Fixed: RangeException on
		", 
			"srcLength": "29"
		}, 
		"44: code": {
			"srcIndexStart": "2111", 
			"param 0": "inline", 
			"data": "Token.matches(\"&lt;blah&gt;\", null)", 
			"srcLength": "45", 
			"0: data": {
				"srcIndexStart": "2125", 
				"data": "Token.matches(\"<blah>\", null)", 
				"srcLength": "29"
			}
		}, 
		"45: data": {
			"srcIndexStart": "2156", 
			"data": " (ie, when attempting to
		match an empty rule with ", 
			"srcLength": "52"
		}, 
		"46: pageLink": {
			"srcIndexStart": "2208", 
			"param 0": "Token#Token_matches", 
			"data": "matches", 
			"srcLength": "40", 
			"0: data": {
				"srcIndexStart": "2239", 
				"data": "matches", 
				"srcLength": "7"
			}
		}, 
		"47: data": {
			"srcIndexStart": "2248", 
			"data": ").
	</li>
	<li>
		", 
			"srcLength": "18"
		}, 
		"48: link": {
			"srcIndexStart": "2266", 
			"param 0": "http://www.dsource.org/projects/goldie/ticket/20", 
			"data": "Fixed Issue #20", 
			"srcLength": "77", 
			"0: data": {
				"srcIndexStart": "2324", 
				"data": "Fixed Issue #20", 
				"srcLength": "17"
			}
		}, 
		"49: data": {
			"srcIndexStart": "2343", 
			"data": ":
		Fails on 64-bit builds.
		(But note the still-open ", 
			"srcLength": "55"
		}, 
		"50: link": {
			"srcIndexStart": "2398", 
			"param 0": "http://www.dsource.org/projects/goldie/ticket/21", 
			"data": "#21", 
			"srcLength": "65", 
			"0: data": {
				"srcIndexStart": "2456", 
				"data": "#21", 
				"srcLength": "5"
			}
		}, 
		"51: data": {
			"srcIndexStart": "2463", 
			"data": ":
		64-bit 'staticlang' and 'sampleGenericParse' blocked by DMD Issue
		", 
			"srcLength": "72"
		}, 
		"52: link": {
			"srcIndexStart": "2535", 
			"param 0": "http://d.puremagic.com/issues/show_bug.cgi?id=6983", 
			"data": "#6983", 
			"srcLength": "69", 
			"0: data": {
				"srcIndexStart": "2595", 
				"data": "#6983", 
				"srcLength": "7"
			}
		}, 
		"53: data": {
			"srcIndexStart": "2604", 
			"data": ")
	</li>
	<li>Switched version control from SVN/DSource to Git/BitBucket.</li>
	<li>Added ", 
			"srcLength": "90"
		}, 
		"54: pageTitle": {
			"srcIndexStart": "2694", 
			"data": "Tutorial", 
			"srcLength": "22", 
			"0: data": {
				"srcIndexStart": "2706", 
				"data": "Tutorial", 
				"srcLength": "8"
			}
		}, 
		"55: data": {
			"srcIndexStart": "2716", 
			"data": ".</li>
	<li>
		Many documentation updates/improvements including
		(in addition to the usual misc and API updates)
		an updated ", 
			"srcLength": "128"
		}, 
		"56: pageTitle": {
			"srcIndexStart": "2844", 
			"data": "FAQ", 
			"srcLength": "17", 
			"0: data": {
				"srcIndexStart": "2856", 
				"data": "FAQ", 
				"srcLength": "3"
			}
		}, 
		"57: data": {
			"srcIndexStart": "2861", 
			"data": ".
	</li>
	<li>", 
			"srcLength": "14"
		}, 
		"58: pageTitle": {
			"srcIndexStart": "2875", 
			"data": "StaticLang", 
			"srcLength": "24", 
			"0: data": {
				"srcIndexStart": "2887", 
				"data": "StaticLang", 
				"srcLength": "10"
			}
		}, 
		"59: data": {
			"srcIndexStart": "2899", 
			"data": ": Creates the output path if it doesn't already exist.</li>
	<li>
		Renamed \"Parse Anything\" sample to ", 
			"srcLength": "103"
		}, 
		"60: pageTitle": {
			"srcIndexStart": "3002", 
			"data": "SampleGenericParse", 
			"srcLength": "32", 
			"0: data": {
				"srcIndexStart": "3014", 
				"data": "SampleGenericParse", 
				"srcLength": "18"
			}
		}, 
		"61: data": {
			"srcIndexStart": "3034", 
			"data": "
		(to avoid confusion with the ", 
			"srcLength": "32"
		}, 
		"62: pageTitle": {
			"srcIndexStart": "3066", 
			"data": "Parse", 
			"srcLength": "19", 
			"0: data": {
				"srcIndexStart": "3078", 
				"data": "Parse", 
				"srcLength": "5"
			}
		}, 
		"63: data": {
			"srcIndexStart": "3085", 
			"data": " tool).
	</li>
	<li>
		<a name=\"Caveat2057\" />
		Added support for DMD 2.056.
		On DMD 2.057, ", 
			"srcLength": "94"
		}, 
		"64: pageLink": {
			"srcIndexStart": "3179", 
			"param 0": "StatVsDyn", 
			"data": "dynamic-style", 
			"srcLength": "36", 
			"0: data": {
				"srcIndexStart": "3200", 
				"data": "dynamic-style", 
				"srcLength": "13"
			}
		}, 
		"65: data": {
			"srcIndexStart": "3215", 
			"data": " works,
		but not static-style or grammar compiling due to DMD Issue
		", 
			"srcLength": "71"
		}, 
		"66: link": {
			"srcIndexStart": "3286", 
			"param 0": "http://d.puremagic.com/issues/show_bug.cgi?id=7375", 
			"data": "#7375", 
			"srcLength": "69", 
			"0: data": {
				"srcIndexStart": "3346", 
				"data": "#7375", 
				"srcLength": "7"
			}
		}, 
		"67: data": {
			"srcIndexStart": "3355", 
			"data": ".
	</li>
	<li>
		Now uses ", 
			"srcLength": "26"
		}, 
		"68: link": {
			"srcIndexStart": "3381", 
			"param 0": "https://bitbucket.org/Abscissa/semitwistdtools", 
			"data": "SemiTwist D Tools", 
			"srcLength": "77", 
			"0: data": {
				"srcIndexStart": "3437", 
				"data": "SemiTwist D Tools", 
				"srcLength": "19"
			}
		}, 
		"69: data": {
			"srcIndexStart": "3458", 
			"data": "
		tag '", 
			"srcLength": "8"
		}, 
		"70: link": {
			"srcIndexStart": "3466", 
			"param 0": "https://bitbucket.org/Abscissa/semitwistdtools/src/goldie-v0.7", 
			"data": "goldie-v0.7", 
			"srcLength": "87", 
			"0: data": {
				"srcIndexStart": "3538", 
				"data": "goldie-v0.7", 
				"srcLength": "13"
			}
		}, 
		"71: data": {
			"srcIndexStart": "3553", 
			"data": "'.
	</li>
</ul>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">", 
			"srcLength": "83"
		}, 
		"72: link": {
			"srcIndexStart": "3636", 
			"param 0": "http://www.semitwist.com/goldie/v0.6/", 
			"data": "v0.6", 
			"srcLength": "55", 
			"0: data": {
				"srcIndexStart": "3683", 
				"data": "v0.6", 
				"srcLength": "6"
			}
		}, 
		"73: data": {
			"srcIndexStart": "3691", 
			"data": "</span>
	<span class=\"changelog-summary\"> - Newer DMDs and Static Fixed</span>
</h3>
<div class=\"changelog-date\">2011-10-04</div>
<div class=\"changelog-compilers\">
	Tested on: DMD 2.052 - DMD 2.055
	(but see ", 
			"srcLength": "208"
		}, 
		"74: pageLink": {
			"srcIndexStart": "3899", 
			"param 0": "Install#RDMD", 
			"data": "this note regarding RDMD", 
			"srcLength": "50", 
			"0: data": {
				"srcIndexStart": "3923", 
				"data": "this note regarding RDMD", 
				"srcLength": "24"
			}
		}, 
		"75: data": {
			"srcIndexStart": "3949", 
			"data": ")
</div>
<ul>
	<li>
		Added support for DMD 2.054 and 2.055.
		The next version of Goldie will likely require at least 2.055.
	</li>
	<li>Fixed: Major bug in static-style: Some tokens erroneously refer to calc grammar no matter what grammar they're from.</li>
	<li>Now uses ", 
			"srcLength": "274"
		}, 
		"76: link": {
			"srcIndexStart": "4223", 
			"param 0": "http://www.dsource.org/projects/semitwist", 
			"data": "SemiTwist D Tools", 
			"srcLength": "72", 
			"0: data": {
				"srcIndexStart": "4274", 
				"data": "SemiTwist D Tools", 
				"srcLength": "19"
			}
		}, 
		"77: data": {
			"srcIndexStart": "4295", 
			"data": " r234</li>
</ul>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">", 
			"srcLength": "84"
		}, 
		"78: link": {
			"srcIndexStart": "4379", 
			"param 0": "http://www.semitwist.com/goldie/v0.5/", 
			"data": "v0.5", 
			"srcLength": "55", 
			"0: data": {
				"srcIndexStart": "4426", 
				"data": "v0.5", 
				"srcLength": "6"
			}
		}, 
		"79: data": {
			"srcIndexStart": "4434", 
			"data": "</span>
	<span class=\"changelog-summary\"> - Speed</span>
</h3>
<div class=\"changelog-date\">2011-05-17</div>
<div class=\"changelog-compilers\">
	Tested on: DMD 2.052 - DMD 2.053
</div>
<ul>
	<li>Improved lexing/parsing speed by about 5x-6x.</li>
	<li>Small additional speedup lexing languages with large character sets (such as Unicode).</li>
	<li>", 
			"srcLength": "346"
		}, 
		"80: pageTitle": {
			"srcIndexStart": "4780", 
			"data": "GRMC", 
			"srcLength": "18", 
			"0: data": {
				"srcIndexStart": "4792", 
				"data": "GRMC", 
				"srcLength": "4"
			}
		}, 
		"81: data": {
			"srcIndexStart": "4798", 
			"data": ": Supports ", 
			"srcLength": "11"
		}, 
		"82: ident": {
			"srcIndexStart": "4809", 
			"data": "{All Valid}", 
			"srcLength": "21", 
			"0: data": {
				"srcIndexStart": "4817", 
				"data": "{All Valid}", 
				"srcLength": "11"
			}
		}, 
		"83: data": {
			"srcIndexStart": "4830", 
			"data": " character set.</li>
	<li>", 
			"srcLength": "26"
		}, 
		"84: pageTitle": {
			"srcIndexStart": "4856", 
			"data": "GRMC", 
			"srcLength": "18", 
			"0: data": {
				"srcIndexStart": "4868", 
				"data": "GRMC", 
				"srcLength": "4"
			}
		}, 
		"85: data": {
			"srcIndexStart": "4874", 
			"data": ": Complex grammars are compiled to CGT up to about 4x-8x faster.</li>
	<li>", 
			"srcLength": "75"
		}, 
		"86: pageTitle": {
			"srcIndexStart": "4949", 
			"data": "GRMC", 
			"srcLength": "18", 
			"0: data": {
				"srcIndexStart": "4961", 
				"data": "GRMC", 
				"srcLength": "4"
			}
		}, 
		"87: data": {
			"srcIndexStart": "4967", 
			"data": ": Verbose (-v) flag shows each step and amount of time taken.</li>
	<li>", 
			"srcLength": "72"
		}, 
		"88: pageLink": {
			"srcIndexStart": "5039", 
			"param 0": "SampleGenericParse", 
			"data": "ParseAnything", 
			"srcLength": "45", 
			"0: data": {
				"srcIndexStart": "5069", 
				"data": "ParseAnything", 
				"srcLength": "13"
			}
		}, 
		"89: data": {
			"srcIndexStart": "5084", 
			"data": ": No more unhandled exception when parsing a source with an error.</li>
	<li>Fixed to work with DMD 2.053 (still works with 2.052, too).</li>
	<li>Now uses ", 
			"srcLength": "156"
		}, 
		"90: link": {
			"srcIndexStart": "5240", 
			"param 0": "http://www.dsource.org/projects/semitwist", 
			"data": "SemiTwist D Tools", 
			"srcLength": "72", 
			"0: data": {
				"srcIndexStart": "5291", 
				"data": "SemiTwist D Tools", 
				"srcLength": "19"
			}
		}, 
		"91: data": {
			"srcIndexStart": "5312", 
			"data": " r221</li>
</ul>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">", 
			"srcLength": "84"
		}, 
		"92: link": {
			"srcIndexStart": "5396", 
			"param 0": "http://www.semitwist.com/goldie/v0.4/", 
			"data": "v0.4", 
			"srcLength": "55", 
			"0: data": {
				"srcIndexStart": "5443", 
				"data": "v0.4", 
				"srcLength": "6"
			}
		}, 
		"93: data": {
			"srcIndexStart": "5451", 
			"data": "</span>
	<span class=\"changelog-summary\"> - D2 and GRMC</span>
</h3>
<div class=\"changelog-date\">2011-03-27</div>
<div class=\"changelog-compilers\">
	Tested on: DMD 2.052
</div>
<ul>
	<li>Switched from D1/Tango to D2/Phobos.</li>
	<li>New tool: ", 
			"srcLength": "244"
		}, 
		"94: pageTitle": {
			"srcIndexStart": "5695", 
			"data": "GRMC", 
			"srcLength": "18", 
			"0: data": {
				"srcIndexStart": "5707", 
				"data": "GRMC", 
				"srcLength": "4"
			}
		}, 
		"95: data": {
			"srcIndexStart": "5713", 
			"data": ". Because of this, Goldie no longer requires GOLD Parser Builder.</li>
	<li>Grammars can be compiled not only from ", 
			"srcLength": "115"
		}, 
		"96: pageTitle": {
			"srcIndexStart": "5828", 
			"data": "GRMC", 
			"srcLength": "18", 
			"0: data": {
				"srcIndexStart": "5840", 
				"data": "GRMC", 
				"srcLength": "4"
			}
		}, 
		"97: data": {
			"srcIndexStart": "5846", 
			"data": ", but also through the D API, GoldieLib.</li>
	<li>No longer requires xfBuild or Rebuild.</li>
	<li>Executable filenames are now prefixed with 'goldie-' to minimize chance of collisions on the PATH.</li>
	<li>Many misc changes/improvements to tools, API and documentation.</li>
	<li>Now uses ", 
			"srcLength": "292"
		}, 
		"98: link": {
			"srcIndexStart": "6138", 
			"param 0": "http://www.dsource.org/projects/semitwist", 
			"data": "SemiTwist D Tools", 
			"srcLength": "72", 
			"0: data": {
				"srcIndexStart": "6189", 
				"data": "SemiTwist D Tools", 
				"srcLength": "19"
			}
		}, 
		"99: data": {
			"srcIndexStart": "6210", 
			"data": " r213</li>
</ul>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">", 
			"srcLength": "84"
		}, 
		"100: link": {
			"srcIndexStart": "6294", 
			"param 0": "http://www.semitwist.com/goldie/v0.3/Docs/", 
			"data": "v0.3", 
			"srcLength": "60", 
			"0: data": {
				"srcIndexStart": "6346", 
				"data": "v0.3", 
				"srcLength": "6"
			}
		}, 
		"101: data": {
			"srcIndexStart": "6354", 
			"data": "</span>
	<span class=\"changelog-summary\"> - Static-Style and Documentation</span>
</h3>
<div class=\"changelog-date\">2010-07-25</div>
<div class=\"changelog-compilers\"></div>
<ul>
	<li>Added static-style languages.</li>
	<li>Major improvements to API for parsing errors.</li>
	<li>Misc changes/improvements to API.</li>
	<li>New tools: ", 
			"srcLength": "334"
		}, 
		"102: pageTitle": {
			"srcIndexStart": "6688", 
			"data": "StaticLang", 
			"srcLength": "24", 
			"0: data": {
				"srcIndexStart": "6700", 
				"data": "StaticLang", 
				"srcLength": "10"
			}
		}, 
		"103: data": {
			"srcIndexStart": "6712", 
			"data": ", ", 
			"srcLength": "2"
		}, 
		"104: pageTitle": {
			"srcIndexStart": "6714", 
			"data": "JsonViewer", 
			"srcLength": "24", 
			"0: data": {
				"srcIndexStart": "6726", 
				"data": "JsonViewer", 
				"srcLength": "10"
			}
		}, 
		"105: data": {
			"srcIndexStart": "6738", 
			"data": " and ", 
			"srcLength": "5"
		}, 
		"106: pageTitle": {
			"srcIndexStart": "6743", 
			"data": "GenDocs", 
			"srcLength": "21", 
			"0: data": {
				"srcIndexStart": "6755", 
				"data": "GenDocs", 
				"srcLength": "7"
			}
		}, 
		"107: data": {
			"srcIndexStart": "6764", 
			"data": ".</li>
	<li>Split Calculator sample app into a dynamic-style version and a static-style version.</li>
	<li>Greatly improved handling of Unicode.</li>
	<li>Created complete documentation.</li>
	<li>Now uses ", 
			"srcLength": "206"
		}, 
		"108: link": {
			"srcIndexStart": "6970", 
			"param 0": "http://www.dsource.org/projects/semitwist", 
			"data": "SemiTwist D Tools", 
			"srcLength": "72", 
			"0: data": {
				"srcIndexStart": "7021", 
				"data": "SemiTwist D Tools", 
				"srcLength": "19"
			}
		}, 
		"109: data": {
			"srcIndexStart": "7042", 
			"data": " r132</li>
</ul>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">", 
			"srcLength": "84"
		}, 
		"110: link": {
			"srcIndexStart": "7126", 
			"param 0": "http://www.dsource.org/projects/goldie/wiki/Docs", 
			"data": "v0.02", 
			"srcLength": "67", 
			"0: data": {
				"srcIndexStart": "7184", 
				"data": "v0.02", 
				"srcLength": "7"
			}
		}, 
		"111: data": {
			"srcIndexStart": "7193", 
			"data": "</span>
	<span class=\"changelog-summary\"> - Minor Bugfix</span>
</h3>
<div class=\"changelog-date\">2009-09-09</div>
<div class=\"changelog-compilers\"></div>
<ul>
	<li>Fixed: Rare array-out-of-bounds upon Lexer error.</li>
	<li>Fixed: ", 
			"srcLength": "232"
		}, 
		"112: link": {
			"srcIndexStart": "7425", 
			"param 0": "http://www.dsource.org/projects/goldie/ticket/1", 
			"data": "Ticket #1: Extra oddball character in lex error message's quote", 
			"srcLength": "120", 
			"0: data": {
				"srcIndexStart": "7480", 
				"data": "Ticket #1: Extra oddball character in lex error message's quote", 
				"srcLength": "63"
			}
		}, 
		"113: data": {
			"srcIndexStart": "7545", 
			"data": "</li>
	<li>Now uses SemiTwist D Tools r86</li>
</ul>

<h3 style=\"margin-bottom: 0px;\">
	<span class=\"changelog-version\">", 
			"srcLength": "120"
		}, 
		"114: link": {
			"srcIndexStart": "7665", 
			"param 0": "http://www.dsource.org/projects/goldie/wiki/Docs", 
			"data": "v0.01", 
			"srcLength": "67", 
			"0: data": {
				"srcIndexStart": "7723", 
				"data": "v0.01", 
				"srcLength": "7"
			}
		}, 
		"115: data": {
			"srcIndexStart": "7732", 
			"data": "</span>
	<span class=\"changelog-summary\"> - Initial Release</span>
</h3>
<div class=\"changelog-date\">2009-08-26</div>
<div class=\"changelog-compilers\"></div>
<ul>
	<li>Initial Release</li>
	<li>Uses SemiTwist D Tools r82</li>
</ul>", 
			"srcLength": "232"
		}
	}
}